petsc-3.10.5 2019-03-28
Report Typos and Errors

# MATAIJCRL

MATAIJCRL = "aijcrl" - A matrix type to be used for sparse matrices. This matrix type is identical to MATSEQAIJCRL when constructed with a single process communicator, and MATMPIAIJCRL otherwise. As a result, for single process communicators, MatSeqAIJSetPreallocation() is supported, and similarly MatMPIAIJSetPreallocation() is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

### Options Database Keys

-mat_type aijcrl -sets the matrix type to "aijcrl" during a call to MatSetFromOptions()

### See Also

MatCreateMPIAIJCRL,MATSEQAIJCRL,MATMPIAIJCRL, MATSEQAIJCRL, MATMPIAIJCRL

### Level

beginner

### Location

src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages